DocPu plugin don`t work with Redmine 1.4.4.stable.9903 (MySQL)

Added by Alexey Smirnov over 9 years ago

Hello!

I`m upgrade redmine from 1.3 to 1.4 and plugin DocPu don`t work. When i`m click to the parameters of plugin i`m have Internal error.

Log:

ActionView::TemplateError (No route matches {:controller=>"doc_pu_settings", :action=>"test_latex"}) on line #2 of vendor/plugins/redmine_doc_pu/app/views/settings/_doc_pu_settings.html.erb:
1: <p><label><%=t :field_latex_bin ></label><= text_field_tag "settings[latex_bin]", @settings["latex_bin"], :size => 50 >
2: <
= button_to_remote t(:button_test),
3: :url => { :controller => :doc_pu_settings, :action => :test_latex},
4: :with => "'file=' + $('settings_latex_bin').value",
5: :update => "latex-bin-result";

vendor/plugins/redmine_doc_pu/app/views/settings/_doc_pu_settings.html.erb:2
app/views/settings/plugin.html.erb:6
app/views/settings/plugin.html.erb:4
passenger (3.0.7) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'
passenger (3.0.7) lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_process_next_request'
passenger (3.0.7) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'
passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_request_handler'
passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `send'
passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `handle_spawn_application'
passenger (3.0.7) lib/phusion_passenger/utils.rb:479:in `safe_fork'
passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_spawn_application'
passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:357:in `__send__'
passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'
passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'
passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:180:in `start'
passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'
passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:219:in `spawn_rails_application'
passenger (3.0.7) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'
passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:214:in `spawn_rails_application'
passenger (3.0.7) lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'
passenger (3.0.7) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'
passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'
passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'
passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'
passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:357:in `__send__'
passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'
passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'
passenger (3.0.7) helper-scripts/passenger-spawn-server:99

Rendering /var/srv/www/htdocs/redmine14/public/500.html (500 Internal Server Error)

  • LOCAL GEMS ***

abstract (1.0.0)
actionmailer (3.0.7, 2.3.14, 2.3.5)
actionpack (3.0.7, 2.3.14, 2.3.5)
activemodel (3.0.7)
activerecord (3.0.7, 2.3.14, 2.3.5)
activeresource (3.0.7, 2.3.14, 2.3.5)
activesupport (3.0.7, 2.3.14, 2.3.5)
arel (2.1.1, 2.0.10)
builder (3.0.0, 2.1.2)
bundler (1.0.22, 1.0.13)
coderay (1.0.7)
daemon_controller (0.2.6)
erubis (2.7.0, 2.6.6)
fastercsv (1.5.5, 1.5.4)
fastthread (1.0.7)
i18n (0.4.2)
json (1.6.5)
mail (2.3.0, 2.2.19)
metaclass (0.0.1)
mime-types (1.16)
mocha (0.10.4)
mysql (2.8.1)
net-ldap (0.3.1)
passenger (3.0.7)
pg (0.14.0)
polyglot (0.3.1)
rack (1.1.3, 1.0.1)
rack-mount (0.8.1, 0.6.14)
rack-test (0.6.0, 0.5.7)
rails (2.3.14)
railties (3.0.7)
rake (0.9.2.2, 0.8.7)
rdoc (2.4.2)
RedCloth (4.2.9)
rmagick (2.13.1)
ruby-openid (2.1.8)
sqlite3 (1.3.6, 1.3.5)
thor (0.14.6)
treetop (1.4.9)
tzinfo (0.3.33)

ruby 1.8.7 (2010-08-16 patchlevel 302) [x86_64-linux]

OS: Debian

Replies (2)

RE: DocPu plugin don`t work with Redmine 1.4.4.stable.9903 (MySQL) - Added by Christoph S. Ackermann about 9 years ago

Same problem here.

config/routes.rb is missing - required by Redmine 1.4.

I hope the author can fix this...

Maybe we should write him an email?

Cheers

(1-2/2)